// pdf_testDlg.cpp : Implementation-file
//

#include "stdafx.h"
#include "pdf_test.h"
#include "pdf_testDlg.h"
#include ".\pdf_testdlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif

typedef LPSTR (__stdcall *TRMyGetPDFTitle) ( LPSTR strPdfName  );
TRMyGetPDFTitle	GetPDFTitle;

typedef LPSTR (__stdcall *TRMyGetPDFVersion) ( LPSTR strPdfName  );
TRMyGetPDFVersion	GetPDFVersion;

typedef LPSTR (__stdcall *TRMyGetPDFAuthor) ( LPSTR strPdfName  );
TRMyGetPDFAuthor	GetPDFAuthor;

typedef LPSTR (__stdcall *TRMyGetPDFSubject) ( LPSTR strPdfName  );
TRMyGetPDFSubject	GetPDFSubject;

typedef LPSTR (__stdcall *TRMyGetPDFModDateTime) ( LPSTR strPdfName  );
TRMyGetPDFModDateTime	GetPDFModDateTime;

typedef LPSTR (__stdcall *TRMyGetPDFCreDateTime) ( LPSTR strPdfName  );
TRMyGetPDFCreDateTime	GetPDFCreDateTime;

typedef LPSTR (__stdcall *TRMyGetPDFCreatedWith) ( LPSTR strPdfName  );
TRMyGetPDFCreatedWith	GetPDFCreatedWith;

typedef LPSTR (__stdcall *TRMyGetPDFCreator) ( LPSTR strPdfName  );
TRMyGetPDFCreator	GetPDFCreator;

typedef LPSTR (__stdcall *TRMyGetPDFKeywords) ( LPSTR strPdfName  );
TRMyGetPDFKeywords	GetPDFKeywords;


Cpdf_testDlg::Cpdf_testDlg(CWnd* pParent /*=NULL*/)
	: CDialog(Cpdf_testDlg::IDD, pParent)
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

Cpdf_testDlg::~Cpdf_testDlg()
{
	BOOL fFreeResult;
	if( this->m_hInstLib )
		fFreeResult = FreeLibrary(m_hInstLib); 
	
}



void Cpdf_testDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(Cpdf_testDlg, CDialog)
	ON_WM_SYSCOMMAND()
	//}}AFX_MSG_MAP
	ON_BN_CLICKED(IDOK, OnBnClickedOk)
	ON_BN_CLICKED(IDOK2, OnBnClickedOk2)
	ON_BN_CLICKED(IDOK3, OnBnClickedOk3)
	ON_BN_CLICKED(IDOK4, OnBnClickedOk4)
	ON_BN_CLICKED(IDOK5, OnBnClickedOk5)
	ON_BN_CLICKED(IDOK6, OnBnClickedOk6)
	ON_BN_CLICKED(IDOK7, OnBnClickedOk7)
	ON_BN_CLICKED(IDOK8, OnBnClickedOk8)
	ON_BN_CLICKED(IDOK9, OnBnClickedOk9)
END_MESSAGE_MAP()


// Cpdf_testDlg Messagehandler

BOOL Cpdf_testDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// loading the pdf-dll...
	m_hInstLib = LoadLibrary( (LPCSTR)"PDFdocuments.dll" );
	if( m_hInstLib )
	{
		GetPDFTitle = (TRMyGetPDFTitle) GetProcAddress( m_hInstLib, "GetPDFTitle");
		GetPDFAuthor = (TRMyGetPDFAuthor) GetProcAddress( m_hInstLib, "GetPDFAuthor");
		GetPDFCreatedWith = (TRMyGetPDFCreatedWith) GetProcAddress( m_hInstLib, "GetPDFCreatedWith");
		GetPDFCreator = (TRMyGetPDFCreator) GetProcAddress( m_hInstLib, "GetPDFCreator");
		GetPDFCreDateTime = (TRMyGetPDFCreDateTime) GetProcAddress( m_hInstLib, "GetPDFCreDateTime");
		GetPDFKeywords = (TRMyGetPDFKeywords) GetProcAddress( m_hInstLib, "GetPDFKeywords");
		GetPDFModDateTime = (TRMyGetPDFModDateTime) GetProcAddress( m_hInstLib, "GetPDFModDateTime");
		GetPDFSubject = (TRMyGetPDFSubject) GetProcAddress( m_hInstLib, "GetPDFSubject");
		GetPDFVersion = (TRMyGetPDFVersion) GetProcAddress( m_hInstLib, "GetPDFVersion");
	}
	else
		AfxMessageBox( "Error loading PDFdocuments.dll" );

	SetIcon(m_hIcon, TRUE);			// using big symbols

	return TRUE;  // returns TRUE if no control gets the focus
}

void Cpdf_testDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
		CDialog::OnSysCommand(nID, lParam);
}

void Cpdf_testDlg::OnBnClickedOk()
{
	CString strFile=_T("");
	CString strReturn=_T("");

	GetDlgItemText( IDC_EDIT1, strFile );

	strReturn = GetPDFTitle( strFile.GetBuffer() );

// this error-handling could be used (and modified) for any other function...
	if( strReturn.Left(4) == "9001" )
		strReturn = _T("File not found [9001]");
	if( strReturn.Left(4) == "9002" )
		strReturn = _T("No PDF-file [9002]");

	SetDlgItemText( IDT_PDFTitle, strReturn );
}

void Cpdf_testDlg::OnBnClickedOk2()
{
	CString strFile=_T("");
	CString strReturn=_T("");

	GetDlgItemText( IDC_EDIT1, strFile );

	strReturn = GetPDFAuthor( strFile.GetBuffer() );

	SetDlgItemText( IDT_PDFTitle2, strReturn );
}

void Cpdf_testDlg::OnBnClickedOk3()
{
	CString strFile=_T("");
	CString strReturn=_T("");

	GetDlgItemText( IDC_EDIT1, strFile );

	strReturn = GetPDFVersion( strFile.GetBuffer() );

	SetDlgItemText( IDT_PDFTitle3, strReturn );
}

void Cpdf_testDlg::OnBnClickedOk4()
{
	CString strFile=_T("");
	CString strReturn=_T("");

	GetDlgItemText( IDC_EDIT1, strFile );

	strReturn = GetPDFSubject( strFile.GetBuffer() );

	SetDlgItemText( IDT_PDFTitle4, strReturn );
}

void Cpdf_testDlg::OnBnClickedOk5()
{
	CString strFile=_T("");
	CString strReturn=_T("");

	GetDlgItemText( IDC_EDIT1, strFile );

	strReturn = GetPDFCreator( strFile.GetBuffer() );

	SetDlgItemText( IDT_PDFTitle5, strReturn );
}

void Cpdf_testDlg::OnBnClickedOk6()
{
	CString strFile=_T("");
	CString strReturn=_T("");

	GetDlgItemText( IDC_EDIT1, strFile );

	strReturn = GetPDFCreDateTime( strFile.GetBuffer() );

	SetDlgItemText( IDT_PDFTitle6, strReturn );
}

void Cpdf_testDlg::OnBnClickedOk7()
{
	CString strFile=_T("");
	CString strReturn=_T("");

	GetDlgItemText( IDC_EDIT1, strFile );

	strReturn = GetPDFModDateTime( strFile.GetBuffer() );

	SetDlgItemText( IDT_PDFTitle7, strReturn );
}

void Cpdf_testDlg::OnBnClickedOk8()
{
	CString strFile=_T("");
	CString strReturn=_T("");

	GetDlgItemText( IDC_EDIT1, strFile );

	strReturn = GetPDFCreatedWith( strFile.GetBuffer() );

	SetDlgItemText( IDT_PDFTitle8, strReturn );

}

void Cpdf_testDlg::OnBnClickedOk9()
{
	CString strFile=_T("");
	CString strReturn=_T("");

	GetDlgItemText( IDC_EDIT1, strFile );

	strReturn = GetPDFKeywords( strFile.GetBuffer() );

	SetDlgItemText( IDT_PDFTitle9, strReturn );
}
